define('jls/html/Label', ['jls/lang/Class', 'jls/html/HtmlElement'], function (Class, HtmlElement) {

var Label;
Label = Class.create(HtmlElement,
{
    onCreate : function($super) {
        this.setAttribute('htmlTagName', 'label')
        $super();
    },
    getText : function() {
        return this.getTextContent();
    },
    setText : function(value) {
    	this.setTextContent(value);
        return this;
    }
});


return Label;
});
